/* --- Main --- */
body {
	width:100%;
	margin:0;
	padding:0;
	padding-bottom:225px !important;
	background:#f5f5f5;
	color:#000;
	font-family:Helvetica,"Meiryo UI",sans-serif;
	font-size:14px;
	text-align:left;
}

img { border:0px; }

a { color:#444; }
a:hover { text-decoration:none; }

input { margin:0 }

h1 {
	margin:0;
	padding:1em 2em;
	color:#444;
	font-size:24px;
}

/* --- Input --- */
.TextBox {
	height:24px;
	padding:3px;
	background:#ffffff;
	border:2px solid #9c9c9c;
	border-radius:0px;
	outline:none;
	transition:0.5s ease;
	-webkit-transition:0.5s ease;
	-moz-transition:0.5s ease;
}

.TextBox:hover { box-shadow:0 0 7px #9c9c9c; }

.BlueButton,.RedButton {
	width:150px;
	height:30px;
	outline:none;
	border:0px;
	border-radius:0px;
	color:#fff;
	text-shadow:0 0 5px #fff;
	transition:0.5s ease;
	-webkit-transition:0.5s ease;
	-moz-transition:0.5s ease;
}
.BlueButton { background:#004ab2; }
.BlueButton:hover { box-shadow:0 0 7px #004ab2; }
.BlueButton:active { box-shadow:0 0 0 #004ab2; }

.RedButton { background:#ff4f4f; }
.RedButton:hover { box-shadow:0 0 7px #ff4f4f; }
.RedButton:active { box-shadow:0 0 0 #ff4f4f; }

/* --- index.php --- */
#Uploader {
	position:relative;
	padding:2em 0 2em 3em;
	background:#fff;
	border-top:1px solid #ccc;
	border-bottom:1px solid #ccc;
}

#UploaderCurtain {
	width:100%;
	height:100%;
	text-align:center;
	display:none;
	position:absolute;
	top:0px;
	left:0px;
	z-index:5;
	background:#000;
	color:#fff;
	filter: alpha(opacity=70);
	-moz-opacity:0.7;
	opacity:0.7;
}

#UploaderCurtainInner {
	filter: alpha(opacity=100);
	-moz-opacity:1.0;
	opacity:1.0;
}

#JlabRing {
	width:550px;
	height:130px;
	position:absolute;
	top:0px;
	left:100%;
	margin-left:-550px;
}

#DragDropCurtain {
	width:100%;
	position:fixed;
	top:-200px;
	left:0px;
	z-index:7;
	background:#000;
	color:#fff;
	font-size:16px;
	text-align:center;
	filter: alpha(opacity=70);
	-moz-opacity:0.7;
	opacity:0.7;
	transition:0.5s ease;
	-webkit-transition:0.5s ease;
	-moz-transition:0.5s ease;
}

#UploaderPanel {
	margin:10px 0;
}

#UploaderPanel div {
	width:120px;
	height:40px;
	line-height:40px;
	float:left;
}

#Preview img {
	max-width:150px;
	max-height:150px;
	margin:0 5px 5px 0;
}

#ImageList {
	background:#fff;
	border-top:1px solid #ccc;
	border-bottom:1px solid #ccc;
}

#ImageList ul {
	margin-left:3em !important;
}

.ImagePageLink li {
	margin-right:2.5px;
	padding:5px;
	border-bottom:2px solid #999;
	list-style:none;
	display:inline-block;
}

.ImagePageLink li:hover {
	border-bottom:2px solid #ededed;
}

.ImagePageLink a {
	color:#000;
	text-decoration:none;
}

.ImageElements {
	margin-left:3em;
	padding:2em 0;
	border-bottom:1px solid #ccc;
}

.ImageElements div {
	padding-bottom:10px;
}

#URLBox {
	width:100%;
	height:225px;
	margin-top:-45px;
	position:fixed;
	top:100%;
	left:0%;
	z-index:3;
	transition:0.5s cubic-bezier(0.23,1,0.32,1);
	-webkit-transition:0.5s cubic-bezier(0.23,1,0.32,1);
	-moz-transition:0.5s cubic-bezier(0.23,1,0.32,1);
}

#URLBox a {
	text-decoration:none;
}

#URLBoxLabel {
	width:150px;
	height:45px;
	margin-left:-180px;
	position:relative;
	left:100%;
	z-index:8;
	background:#fff;
	border:1px solid #ccc;
	border-bottom:0px;
	line-height:45px;
	text-align:center;
}

#URLBoxInner {
	width:100%;
	height:140px;
	padding:20px 2em;
	position:fixed;
	z-index:9;
	background:#fff;
	border-top:1px solid #ccc;
}

#LinkMenu {
	margin:2em 0 2em 3em;
}

/* --- upload.php / delete.php --- */
#ResultP {
	padding:2em 0 2em 3em;
	background:#fff;
	border-top:1px solid #ccc;
	border-bottom:1px solid #ccc;
	text-align:center;
}